| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ZAxisTransformSampler Class Reference
Algo

Samples Z-axis transformed data. More...

`#include <zaxistransform.h>`

## Public Member Functions
| ZAxisTransformSampler (const ZAxisTransform &, bool back, const SamplingData< double > &, bool is2d)
virtual | ~ZAxisTransformSampler ()
void | computeCache (const Interval< int > &range)
float | operator[] (int idx) const
void | setBinID (const BinID &bid)
void | setLineName (const char *)
void | setTrcKey (const TrcKey &k)
void | setTrcNr (int)

## Protected Attributes
bool | back_
TypeSet< float > | cache_
int | firstcachesample_
bool | is2d_
const SamplingData< double > | sd_
const ZAxisTransform & | transform_
TrcKey | trckey_

## Detailed Description

Samples Z-axis transformed data.

<>

## Constructor & Destructor Documentation

## ◆ ZAxisTransformSampler()

ZAxisTransformSampler::ZAxisTransformSampler | ( | const ZAxisTransform & | ,
|  | bool | back,
|  | const SamplingData< double > & | ,
|  | bool | is2d )

## ◆ ~ZAxisTransformSampler()

virtual ZAxisTransformSampler::~ZAxisTransformSampler | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeCache()

void ZAxisTransformSampler::computeCache | ( | const Interval< int > & | range | ) |

## ◆ operator[]()

float ZAxisTransformSampler::operator[] | ( | int | idx | ) | const

## ◆ setBinID()

void ZAxisTransformSampler::setBinID | ( | const BinID & | bid | ) |

## ◆ setLineName()

void ZAxisTransformSampler::setLineName | ( | const char * |  | ) |

## ◆ setTrcKey()

void ZAxisTransformSampler::setTrcKey | ( | const TrcKey & | k | ) |
| inline

## ◆ setTrcNr()

void ZAxisTransformSampler::setTrcNr | ( | int |  | ) |

## Member Data Documentation

## ◆ back_

bool ZAxisTransformSampler::back_
| protected

## ◆ cache_

TypeSet<float> ZAxisTransformSampler::cache_
| protected

## ◆ firstcachesample_

int ZAxisTransformSampler::firstcachesample_
| protected

## ◆ is2d_

bool ZAxisTransformSampler::is2d_
| protected

## ◆ sd_

const SamplingData<double> ZAxisTransformSampler::sd_
| protected

## ◆ transform_

const ZAxisTransform& ZAxisTransformSampler::transform_
| protected

## ◆ trckey_

TrcKey ZAxisTransformSampler::trckey_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025